API referencePayroll
Suspend, reinstate or offboard
Only active employees appear in a run. Offboarding keeps the record of what they were paid.
Only active employees appear in a run. Offboarding keeps the record of what they were paid.
Authorization
OAuth2PasswordBearer AuthorizationBearer <token>
In: header
Path Parameters
employee_id*Employee Id
Format
uuidCookie Parameters
Request Body
application/json
TypeScript Definitions
Use the request body type in TypeScript.
Whether someone is still paid. IN-302.
Response Body
application/json
application/json
curl -X PATCH "https://example.com/api/b/v1/payroll/employees/497f6eca-6276-4993-bfeb-53cbbbba6f08/status" \ -H "Content-Type: application/json" \ -d '{ "status": "inactive" }'{ "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08", "employee_number": "string", "full_name": "string", "department": "string", "employment_type": "full_time", "net_pay_minor": 0, "currency": "string", "payout_method": "mobile_money", "beneficiary_id": "0a8df251-de2a-4394-bffc-6b9d9795700d", "account_identifier": "string", "country_code": "string", "status": "active", "created_at": "2019-08-24T14:15:22Z"}